Eclipse Platform Release 3.7

## org.eclipse.ui.wizards.datatransfer
Class ExternalProjectImportWizard

    java.lang.Object
      org.eclipse.jface.wizard.Wizard
          org.eclipse.ui.wizards.datatransfer.ExternalProjectImportWizard

All Implemented Interfaces:
  IWizard, IImportWizard, IWorkbenchWizard

    public class ExternalProjectImportWizard

extends Wizard
implements IImportWizard

Standard workbench wizard for importing projects defined outside of the currently defined projects into Eclipse.

This class may be instantiated and used without further configuration; this class is not intended to be subclassed.

Example:

     IWizard wizard = new ExternalProjectImportWizard();
     wizard.init(workbench, selection);
     WizardDialog dialog = new WizardDialog(shell, wizard);
     dialog.open();

During the call to `open`, the wizard dialog is presented to the user. When the user hits Finish, a project is created with the location specified by the user.

Restriction:
  This class is not intended to be subclassed by clients.

Field Summary

Fields inherited from class org.eclipse.jface.wizard.Wizard
`DEFAULT_IMAGE`

Constructor Summary
`ExternalProjectImportWizard()` Constructor for ExternalProjectImportWizard.
`ExternalProjectImportWizard(String initialPath)` Constructor for ExternalProjectImportWizard.

Method Summary
`void` `addPages()` The `Wizard` implementation of this `IWizard` method does nothing.
`void` `init(IWorkbench workbench, IStructuredSelection currentSelection)` Initializes this creation wizard using the passed workbench and object selection.
`boolean` `performCancel()` The `Wizard` implementation of this `IWizard` method does nothing and returns `true`.
`boolean` `performFinish()` Subclasses must implement this `IWizard` method to perform any special finish processing for their wizard.

Methods inherited from class org.eclipse.jface.wizard.Wizard

`addPage, canFinish, createPageControls, dispose, getContainer, getDefaultPageImage, getDialogSettings, getNextPage, getPage, getPageCount, getPages, getPreviousPage, getShell, getStartingPage, getTitleBarColor, getWindowTitle, isHelpAvailable, needsPreviousAndNextButtons, needsProgressMonitor, setContainer, setDefaultPageImageDescriptor, setDialogSettings, setForcePreviousAndNextButtons, setHelpAvailable, setNeedsProgressMonitor, setTitleBarColor, setWindowTitle`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.jface.wizard.IWizard
`canFinish, createPageControls, dispose, getContainer, getDefaultPageImage, getDialogSettings, getNextPage, getPage, getPageCount, getPages, getPreviousPage, getStartingPage, getTitleBarColor, getWindowTitle, isHelpAvailable, needsPreviousAndNextButtons, needsProgressMonitor, setContainer`

Constructor Detail

### ExternalProjectImportWizard

    public ExternalProjectImportWizard()

  Constructor for ExternalProjectImportWizard.

### ExternalProjectImportWizard

    public ExternalProjectImportWizard(String initialPath)

  Constructor for ExternalProjectImportWizard.

  Parameters:
    `initialPath` - Default path for wizard to import
  Since:
    3.5

Method Detail

### addPages

    public void addPages()

  Description copied from class: `Wizard`
  The `Wizard` implementation of this `IWizard` method does nothing. Subclasses should extend if extra pages need to be added before the wizard opens. New pages should be added by calling `addPage`.

  Specified by:
    `addPages` in interface `IWizard`
  Overrides:
    `addPages` in class `Wizard`

### init

    public void init(IWorkbench workbench,
                     IStructuredSelection currentSelection)

  Description copied from interface: `IWorkbenchWizard`
  Initializes this creation wizard using the passed workbench and object selection.

  This method is called after the no argument constructor and before other methods are called.

  Specified by:
    `init` in interface `IWorkbenchWizard`
  Parameters:
    `workbench` - the current workbench
    `currentSelection` - the current object selection

### performCancel

    public boolean performCancel()

  Description copied from class: `Wizard`
  The `Wizard` implementation of this `IWizard` method does nothing and returns `true`. Subclasses should reimplement this method if they need to perform any special cancel processing for their wizard.

  Specified by:
    `performCancel` in interface `IWizard`
  Overrides:
    `performCancel` in class `Wizard`
  Returns:
    `true` to indicate the cancel request was accepted, and `false` to indicate that the cancel request was refused

### performFinish

    public boolean performFinish()

  Description copied from class: `Wizard`
  Subclasses must implement this `IWizard` method to perform any special finish processing for their wizard.

  Specified by:
    `performFinish` in interface `IWizard`
  Specified by:
    `performFinish` in class `Wizard`
  Returns:
    `true` to indicate the finish request was accepted, and `false` to indicate that the finish request was refused

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.